com.collabnet.ce.soap60.webservices.cemain

## Class AttachmentSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO

-     public class AttachmentSoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  Represents an Attachment File.
  Since:
    6.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttachmentSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAttachmentFileId()` Returns 'attachmentFileId'.
    `String` | `getAttachmentFileName()` Returns 'attachmentFileName'.
    `String` | `getAttachmentMimeType()` Returns 'attachmentMimeType'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setAttachmentFileId(String attachmentFileId)` Sets 'attachmentFileId'.
    `void` | `setAttachmentFileName(String attachmentFileName)` Sets 'attachmentFileName'.
    `void` | `setAttachmentMimeType(String attachmentMimeType)` Sets 'attachmentMimeType'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttachmentSoapDO

          public AttachmentSoapDO()

  - ### Method Detail

    - #### getAttachmentFileName

          public String getAttachmentFileName()

      Returns 'attachmentFileName'. attachmentFileName Name of the attached file (or null).
      Returns:
        Value of 'attachmentFileName'.

    - #### setAttachmentFileName

          public void setAttachmentFileName(String attachmentFileName)

      Sets 'attachmentFileName'. attachmentFileName Name of the attached file (or null).
      Parameters:
        `attachmentFileName` - Value of 'attachmentFileName'.

    - #### getAttachmentMimeType

          public String getAttachmentMimeType()

      Returns 'attachmentMimeType'. attachmentMimeType Mime type of the attached file (or null).
      Returns:
        Value of 'attachmentMimeType'.

    - #### setAttachmentMimeType

          public void setAttachmentMimeType(String attachmentMimeType)

      Sets 'attachmentMimeType'. attachmentMimeType Mime type of the attached file (or null).
      Parameters:
        `attachmentMimeType` - Value of 'attachmentMimeType'.

    - #### getAttachmentFileId

          public String getAttachmentFileId()

      Returns 'attachmentFileId'. attachmentFileId ID of the attached file (previously uploaded via *FileStorage service) or null.
      Returns:
        Value of 'attachmentFileId'.

    - #### setAttachmentFileId

          public void setAttachmentFileId(String attachmentFileId)

      Sets 'attachmentFileId'. attachmentFileId ID of the attached file (previously uploaded via *FileStorage service) or null.
      Parameters:
        `attachmentFileId` - Value of 'attachmentFileId'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.